#ifndef CLIB_XFDMASTER_PROTOS_H
#define CLIB_XFDMASTER_PROTOS_H

/*
**	$VER: xfdmaster_protos.h 36.1 (14.9.95)
**
**	C prototypes. For use with 32 bit integers only.
**
**	Copyright  1994,95 by Georg Hrmann.
**	All Rights Reserved.
*/

struct xfdBufferInfo *xfdAllocBufferInfo(void);
void xfdFreeBufferInfo(struct xfdBufferInfo *);
struct xfdSegmentInfo *xfdAllocSegmentInfo(void);
void xfdFreeSegmentInfo(struct xfdSegmentInfo *);
BOOL xfdRecogBuffer(struct xfdBufferInfo *);
BOOL xfdDecrunchBuffer(struct xfdBufferInfo *);
BOOL xfdRecogSegment(struct xfdSegmentInfo *);
BOOL xfdDecrunchSegment(struct xfdSegmentInfo *);
STRPTR xfdGetErrorText(UWORD);
BOOL xfdTestHunkStructure(APTR, ULONG);

/* New for V34 */
UWORD xfdTestHunkStructureNew(APTR, ULONG);
UWORD xfdRelocate(APTR, ULONG, ULONG *, UWORD);

/* New for V36 */
UWORD xfdTestHunkStructureFlags(APTR, ULONG, UWORD);
UWORD xfdStripHunks(APTR, ULONG, ULONG *, UWORD);
APTR xfdAllocObject(ULONG);
void xfdFreeObject(APTR);
BOOL xfdRecogLinker(struct xfdLinkerInfo *);
BOOL xfdUnlink(struct xfdLinkerInfo *);

#endif /* CLIB_XFDMASTER_PROTOS_H */
